java抛出异常后 代码继续运行问题探究

版权声明:本文为博主原创文章,未经博主允许不得转载。 https://blog.csdn.net/caox_nazi/article/details/79961588

java抛出异常后 代码继续运行问题探究

1、

package com.baofoo.admin.test;

import lombok.extern.slf4j.Slf4j;
import org.junit.Test;

/**
 * Created by BF100 on 2018/4/12.
 */
@Slf4j
public class TestByCaoxNew {
    @Test
    public void test1(){
        try{
            int a = 1/0;
            System.out.println("我执行了没?");
        }catch (Exception e){
            log.error("call Exception :{}",e);
            e.printStackTrace();
        }
        System.out.println("come on !!!");
    }

    @Test
    public void test2(){
        try{
            if(true) {
                throw new Exception("我要抛出异常了!!!");
            }
            //抛出异常,不会执行
            System.out.println("我执行了没?");
        }catch (Exception e){
            log.error("call Exception :{}",e);
        }
        System.out.println("我执行了 !!!");
    }
}
2.test1运行结果:


3.test2运行结果:


没有更多推荐了,返回首页

私密
私密原因:
请选择设置私密原因
  • 广告
  • 抄袭
  • 版权
  • 政治
  • 色情
  • 无意义
  • 其他
其他原因:
120
出错啦
系统繁忙,请稍后再试